%define pgpver 0.18.0

Summary:	A commonly used, MIME compliant mail and news reader.
Name:		pine
Version:	4.63
Release:	2
License:	Freely Distributable
Group:		Applications/Internet
Source0:	ftp://ftp.cac.washington.edu/pine/pine%{version}.tar.bz2
Source1:	http://www.megaloman.com/~hany/_data/pinepgp/pinepgp-%{pgpver}.tar.gz
Source2:	pine.conf
Patch0:		pine-4.02-filter.patch
Patch1:		pine-4.21-fixhome.patch
Patch2:		pine-4.58-PASSWD_PROG-gd-1.diff
Patch3:		pine-4.30-ldap.patch
Patch4:		pine-4.33-rfc822-overflow-gd-1.diff
Patch5:		pine-4.58-lockEaccesError-shut-up-gd-1.diff
Patch6:		pine-4.63-fancy-threading-gd-1.diff
Buildroot:	%{_tmppath}/pine-%{version}-root
BuildPrereq:	perl, openssl-devel

%description
Pine is a very popular, easy to use, full-featured email user agent
which includes a simple text editor called pico. Pine supports MIME
extensions and can also be used to read news.  Pine also supports
IMAP, mail and MH style folders.

%files
  %defattr(0444,root,root,055)
  %doc README CPYRIGHT doc/*.txt doc/pine-ports doc/tech-notes
  %doc doc/mailcap.unx imap/docs/bugs.txt
  %doc %{_mandir}/man1/pico.1*
  %doc %{_mandir}/man1/pine.1*
  %doc %{_mandir}/man1/pilot.1*

  %attr(0444,root,root)		%config /usr/lib/mime.types
  %attr(0644,root,root)		%config %{_sysconfdir}/pine.conf

  %defattr(0555,root,root)
  %{_bindir}/gpg-check
  %{_bindir}/gpg-encrypt
  %{_bindir}/gpg-sign
  %{_bindir}/gpg-sign+encrypt
  %{_bindir}/pico
  %{_bindir}/pilot
  %{_bindir}/pine
  %{_bindir}/pinepgpgpg-install
  %{_bindir}/pinegpg-install
  %{_bindir}/pinegpg

%prep
%setup -q -n pine%{version} -a 1 

%patch0 -p1 
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1

  # this wants /usr/local/bin/perl
  chmod 644 contrib/utils/pwd2pine
  perl -pi -e "s|/usr/local/bin/perl|/usr/bin/perl|" contrib/utils/pwd2pine

%build
  perl -pi -e "s/-g -fno-omit-frame-pointer -O6/$RPM_OPT_FLAGS/" \
	c-client/Makefile imap/src/osdep/unix/Makefile imap/c-client/Makefile

  ./build \
	DEBUG="" \
	OPTIMIZE="$RPM_OPT_FLAGS" \
	EXTRACFLAGS="-DIGNORE_LOCK_EACCES_ERRORS" \
	SPECIALAUTHENTICATORS=ssl \
	SSLTYPE=unix \
	SSLDIR=/usr \
	SSLCERTS=/usr/share/ssl \
	SSLINCLUDE=/usr/include/openssl \
	SSLLIB="-lssl -lcrypto" \
	lnp

  # Build pinepgp
  cd pinepgp-%{pgpver}
  ./configure --prefix=/usr \
	      --exec_prefix=/usr \
	      --sysconfdir=/etc \
	      --bindir=/usr/bin \
	      --with-gpg=%{_bindir}/gpg \
	      --with-pgp=%{_bindir}/pgp \
	      --with-pgp5=%{_bindir}/pgp \
	      --with-pgp6=%{_bindir}/pgp6
  make %{?_smp_mflags}

%install
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

  mkdir -p $RPM_BUILD_ROOT/usr/bin
  mkdir -p $RPM_BUILD_ROOT/%{_mandir}/man1
  mkdir -p $RPM_BUILD_ROOT/usr/share/doc
  mkdir -p $RPM_BUILD_ROOT/usr/lib
  mkdir -p $RPM_BUILD_ROOT/etc

  install -c -m 644 doc/mime.types $RPM_BUILD_ROOT/usr/lib/mime.types
  install -m644 %{SOURCE2} $RPM_BUILD_ROOT/etc/pine.conf

  for n in pine pico pilot; do
	install -c -m 755 -s bin/$n $RPM_BUILD_ROOT/usr/bin/$n
  done

  # Install pinepgp
  cd pinepgp-%{pgpver}
  make install-pinegpg prefix=$RPM_BUILD_ROOT/usr \
		       exec_prefix=$RPM_BUILD_ROOT/usr \
		       bindir=$RPM_BUILD_ROOT/usr/bin

  cd ../doc
  for n in pine.1 pico.1 pilot.1; do
	install -m 644 $n $RPM_BUILD_ROOT/%{_mandir}/man1
  done

%clean
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%changelog
* Fri Jul 08 2005 Ryan W. Maple <ryan@guardiandigital.com>
- Version 4.63, Release 2
  - Rebuild against openssl-0.9.8.

* Tue Jun 28 2005 Ryan W. Maple <ryan@guardiandigital.com>
- Version 4.63, Release 1
  - Initial build for EnGarde Secure Linux 3.0.
